DIRNAME(1)

NOMBRE
dirname - elimina la última parte de un nombre de archivo

SINOPSIS
dirname [OPCIÓN] NOMBRE...

DESCRIPCIÓN

Muestra NOMBRE eliminando las barras finales y la última componente que no sea una barra; si NOMBRE no tiene /'s, el resultado es '.' (representando el directorio actual).

-z, --zero
    termina cada línea con NULL, no con nueva línea

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

EJEMPLOS

dirname /usr/bin/
    -> "/usr"

dirname dir1/str dir2/str
    -> "dir1" seguido por "dir2"

dirname stdio.h
    -> "."

AUTOR
Escrito por David MacKenzie y Jim Meyering.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2022 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
basename(1), readlink(1)

Ayuda en línea: <https://www.gnu.org/software/coreutils/dirname>
también disponible localmente ejecutando: info '(coreutils) dirname invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Pedro Pablo Fábrega <pfabrega@arrakis.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.